declare type ErrorType = 'EXPECTED' | 'UNEXPECTED';
export declare class ExpectedError extends Error {
    message: string;
    code: string;
    type: ErrorType;
    constructor(message: string, code: string);
}
export declare class UnexpectedError extends Error {
    message: string;
    code: string;
    type: ErrorType;
    constructor(message: string, code?: string);
}
export {};
