import execa from 'execa';
export declare const wait: (ms: number) => Promise<unknown>;
declare type LineTransformer = (line: string) => string;
interface ExecProps {
    cmd: string;
    args?: string[];
    logFailedCommand?: boolean;
    transformStderr?: LineTransformer | LineTransformer[];
    transformStdout?: LineTransformer | LineTransformer[];
    env?: ObjectWithUnknownKeys;
    logCommandToExecute?: boolean;
}
export declare const plainExec: ({ cmd, args, env, transformStderr, transformStdout, logFailedCommand, logCommandToExecute }: ExecProps) => Promise<void | execa.ExecaReturnValue<string>>;
export declare const exec: (props: ExecProps) => Promise<void | execa.ExecaReturnValue<string>>;
export {};
