"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ExpectedError extends Error {
    constructor(message, code) {
        super(message);
        this.code = code;
        this.type = 'EXPECTED';
    }
}
exports.ExpectedError = ExpectedError;
class UnexpectedError extends Error {
    constructor(message, code) {
        super(message);
        this.code = code || 'UnexpectedError';
        this.type = 'UNEXPECTED';
    }
}
exports.UnexpectedError = UnexpectedError;
//# sourceMappingURL=errors.js.map