interface EslintOptions {
    target: 'browser' | 'node';
    rulesOverrides: ObjectWithUnknownKeys;
}
export declare const getEslintConfig: ({ target, rulesOverrides }: EslintOptions) => {
    parser: string;
    plugins: string[];
    extends: string[];
    env: {
        es6: boolean;
        node: boolean;
        browser: boolean;
    };
    overrides: any[];
    rules: ObjectWithUnknownKeys;
};
export {};
